Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class AbstractValidationSettingsPage

    package-private class AbstractValidationSettingsPage
    extends org.eclipse.wst.xsl.ui.internal.preferences.PropertyPreferencePage

Based on org.eclipse.jdt.internal.ui.preferences.OptionsConfigurationBlock

## Constructor Summary

`AbstractValidationSettingsPage()`

## Method Summary

`protected Combo` | `addComboBox(Composite parent , java.lang.String label , java.lang.String key , int[] values , java.lang.String[] valueLabels , int indent)` Creates a Combo widget in the composite `parent`. The data in the Combo is associated with `key`. The Combo data is generated based on the integer `values` where the index of `values` corresponds to the index of `valueLabels`
`protected void` | `controlChanged(Widget widget)`
`protected ExpandableComposite` | `createTwistie(Composite parent , java.lang.String label , int nColumns)`
`protected void` | `expandedStateChanged(ExpandableComposite expandable)`
`protected ExpandableComposite` | `getParentExpandableComposite(Control control)`
`protected ScrolledPageContent` | `getParentScrolledComposite(Control control)`
`protected SelectionListener` | `getSelectionListener()`
`protected Combo` | `newComboControl(Composite composite , java.lang.String key , int[] values , java.lang.String[] valueLabels)` Creates a combo box and associates the combo data with the combo box.
`public boolean` | `performOk()`
`protected void` | `resetSeverities()`
`protected void` | `restoreSectionExpansionStates(IDialogSettings settings)`
`protected boolean` | `shouldRevalidateOnSettingsChange()`
`protected void` | `storeSectionExpansionStates(IDialogSettings section)`
`protected void` | `storeValues()`

## Constructor Detail

## AbstractValidationSettingsPage

`public AbstractValidationSettingsPage()`

## Methods Detail

## addComboBox

`protected Combo addComboBox(Composite parent , java.lang.String label , java.lang.String key , int[] values , java.lang.String[] valueLabels , int indent)`

Creates a Combo widget in the composite `parent`. The data in the Combo is associated with `key`. The Combo data is generated based on the integer `values` where the index of `values` corresponds to the index of `valueLabels`

### Parameters

`parent` - the composite to create the combo box in

`label` - the label to give the combo box

`key` - the unique key to identify the combo box

`values` - the values represented by the combo options

`valueLabels` - the calues displayed in the combo box

`indent` - how far to indent the combo box label

### Returns

`Combo` - the generated combo box

## controlChanged

`protected void controlChanged(Widget widget)`

### Parameters

`widget`

## createTwistie

`protected ExpandableComposite createTwistie(Composite parent , java.lang.String label , int nColumns)`

### Parameters

`parent`

`label`

`nColumns`

### Returns

`ExpandableComposite`

## expandedStateChanged

`protected void expandedStateChanged(ExpandableComposite expandable)`

### Parameters

`expandable`

## getParentExpandableComposite

`protected ExpandableComposite getParentExpandableComposite(Control control)`

### Parameters

`control`

### Returns

`ExpandableComposite`

## getParentScrolledComposite

`protected ScrolledPageContent getParentScrolledComposite(Control control)`

### Parameters

`control`

### Returns

`ScrolledPageContent`

## getSelectionListener

`protected SelectionListener getSelectionListener()`

### Returns

`SelectionListener`

## newComboControl

`protected Combo newComboControl(Composite composite , java.lang.String key , int[] values , java.lang.String[] valueLabels)`

Creates a combo box and associates the combo data with the combo box.

### Parameters

`composite` - the composite to create the combo box in

`key` - the unique key to identify the combo box

`values` - the values represented by the combo options

`valueLabels` - the values displayed in the combo box

### Returns

`Combo` - the generated combo box

## performOk

`public boolean performOk()`

### Returns

`boolean`

## resetSeverities

`protected void resetSeverities()`

## restoreSectionExpansionStates

`protected void restoreSectionExpansionStates(IDialogSettings settings)`

### Parameters

`settings`

## shouldRevalidateOnSettingsChange

`protected boolean shouldRevalidateOnSettingsChange()`

### Returns

`boolean`

## storeSectionExpansionStates

`protected void storeSectionExpansionStates(IDialogSettings section)`

### Parameters

`section`

## storeValues

`protected void storeValues()`